#!/bin/bash

clear

echo "**      needs root user to run     **"
echo "** enter root password to continue **"

[ "$UID" -eq 0 ] || exec sudo "$0" "$@"


echo "*************************************"
echo "**     Mini-Pi Setup script        **"
echo "*************************************"
echo ""

read -p "**   Press enter to continue   **"
echo ""

sudo apt-get update
sudo apt-get upgrade -y
sudo apt-get install -q -y nano preload samba neofetch minidlna exfat-fuse exfat-fuse zram-tools apache2

echo "** copy config files to locations **"

sleep 5
sudo cp ./smb.conf /etc/samba
sudo cp ./minidlna.conf /etc/
sudo cp ./wpa_supplicant.conf /etc/wpa_supplicant/
sudo cp ./index.html /var/www/html
sudo cp ./000-default.conf /etc/apache2/sites-enabled

echo "**     add a password for samba user pi         **"

sudo smbpasswd -a pi

sudo chmod 775 -Rv /var/lib/minidlna

echo "************************************************"
echo "**                setup Webmin                **"
echo "************************************************"
echo ""

curl -o webmin-setup-repos.sh https://raw.githubusercontent.com/webmin/webmin/master/webmin-setup-repos.sh

sudo sh webmin-setup-repos.sh

sudo apt install webmin --install-recommends


echo "************************************************"
echo "**                setup compete               **"
echo "************************************************"
echo ""

read -p "**   This PC is now set up. Press enter to reboot   **"
echo ""
sudo reboot
